Get a webhook signing secret

Returns the endpoint's current signing secret and when a rotated-out secret stops verifying. It needs the same permission as rotating the secret.

GET
/v1/webhooks/{id}/secret

Returns the endpoint's current signing secret and when a rotated-out secret stops verifying. It needs the same permission as rotating the secret.

x-api-key<token>

In: header

Path Parameters

id*string
Match^wep_[0-9a-hjkmnp-tv-z]{16,24}$

Response Body

application/json

application/json

application/json

application/json

application/json

application/json

application/json

curl -X GET "https://example.com/v1/webhooks/string/secret"
{  "secret": "string",  "createdAt": "string",  "previousExpiresAt": "string"}

Related documentation